Commit edc8e522 authored by Ralf Jung's avatar Ralf Jung

looks like we need to fix the coq-iris version for opam

parent d4f830d7
Pipeline #4733 failed with stage
in 2 minutes and 6 seconds
......@@ -45,6 +45,6 @@ build-coq8.6.1:
build-iris.dev:
<<: *template
variables:
OPAM_PINS: "coq version 8.6.1 coq-mathcomp-ssreflect version 1.6.1 coq-iris git https://gitlab.mpi-sws.org/FP/iris-coq.git#master"
OPAM_PINS: "coq version 8.6.1 coq-mathcomp-ssreflect version 1.6.1 coq-iris.dev git https://gitlab.mpi-sws.org/FP/iris-coq.git#master"
only:
- triggers
......@@ -51,7 +51,7 @@ while (( "$#" )); do # while there are arguments left
VERSION="$1" ; shift
# Check if the pin is already set
PIN=$(opam pin list | egrep "^$PACKAGE\.")
PIN=$(opam pin list | egrep "^$PACKAGE[. ]")
if [[ "$(echo "$PIN" | cut -d ' ' -f 2)" == "$KIND" && "$(echo "$PIN" | cut -d ' ' -f 3)" == "$VERSION" ]]; then
echo "[opam-ci] $PACKAGE already $KIND-pinned to $VERSION"
else
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment